/*
  Pinkit - Fun image viewer

  Copyright (C) 2012 Petteri Klemola <petteri@gmail.com>

  Pinkit is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3 as
  published by the Free Software Foundation.

  Pinkit is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
  02110-1301, USA.

  For more information about Pinkit visit http://23.fi/pinkit .

*/

import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: aboutPage
    tools: backTools
    orientationLock: PageOrientation.LockPortrait

    Rectangle {
        id: headerBackground
        color: "transparent"
        width: parent.width
        height: 300
        anchors.top: parent.top
        z: 25

        Text {
            id: textLogo
            text: "Pinkit"
            font.pointSize: 50
            color: "pink"
            anchors.bottom: headerBackground.bottom
            anchors.bottomMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
        }

        Text {
            id: descriptionText
            text: "<html>Fun image viewer<br />with reddit.com api<br /><br />contact:<br />&nbsp;&nbsp;&nbsp;&nbsp;petteri@gmail.co<br />m</html>"
            font.pointSize: 40
            color: "white"
            anchors.top: textLogo.bottom
            anchors.bottomMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
        }
    }

    ToolBarLayout {
        id: backTools
        visible: true

        ToolIcon {
            anchors.bottom: parent.bottom
            iconId: "toolbar-back"; onClicked: { pageStack.pop(); }
        }
    }
}
