/*
  Pinkit - Fun image viewer

  Copyright (C) 2012 Petteri Klemola <petteri@gmail.com>

  Pinkit is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3 as
  published by the Free Software Foundation.

  Pinkit is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
  02110-1301, USA.

  For more information about Pinkit visit http://23.fi/pinkit .

*/

import QtQuick 1.1
import com.nokia.meego 1.0
import "databasehandler.js" as DB

Page {
    id: settingsPage
    tools: backTools
    orientationLock: PageOrientation.LockPortrait

    Rectangle {
        id: headerBackground
        color: "transparent"
        width: parent.width
        height: 70
        anchors.top: parent.top
        z: 25

        Text {
            id: headerText
            text: qsTr("Settings")
            font.pointSize: 27
            color: "white"
            anchors.bottom: headerBackground.bottom
            anchors.bottomMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
        }
    }

    Rectangle {
        anchors.top: headerBackground.bottom
        width: parent.width
        height: 70
        color: "transparent"
        z: 25
        id: gifsModeRec

        Text {
            anchors.left: parent.left
            color: "white"
            font.pointSize: 27
            text: "only animated GIFs"
            anchors.leftMargin: 10
        }

        Switch {
            anchors.right: parent.right
            id: gifsMode
            checked: { DB.get_gifs_mode();}
            onCheckedChanged: {
                if (gifsMode.checked)
                    nsfwMode.checked = true;
                DB.set_gifs_mode(gifsMode.checked);
            }
        }
    }



    Rectangle {
        anchors.top: gifsModeRec.bottom
        width: parent.width
        height: 70
        color: "transparent"
        z: 25
        id: nsfwModeRec

        Text {
            anchors.left: parent.left
            color: "pink"
            font.pointSize: 27
            text: "nsfw mode"
            anchors.leftMargin: 10
        }

        Switch {
            anchors.right: parent.right
            id: nsfwMode
            checked: { DB.get_nsfw_mode();}
            onCheckedChanged: {
                if (nsfwMode.checked == false)
                    gifsMode.checked = false;
                DB.set_nsfw_mode(nsfwMode.checked);
            }
        }
    }

    ToolBarLayout {
        id: backTools
        visible: true

        ToolIcon {
            anchors.bottom: parent.bottom
            iconId: "toolbar-back"; onClicked: { pageStack.pop(); }
        }
    }
}
