/*
  Pinkit - Fun image viewer

  Copyright (C) 2012 Petteri Klemola <petteri@gmail.com>

  Pinkit is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3 as
  published by the Free Software Foundation.

  Pinkit is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
  02110-1301, USA.

  For more information about Pinkit visit http://23.fi/pinkit .

*/

/*
  Modes, no #defines in js?
  1 == nsfw
  2 == gifs
*/

function get_modes()
{
    var db = openDatabaseSync("pinkit", "0.1", "pinkit settings", 1);
    var modes = 0;

    db.transaction(
        function(tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS pinkit(num_imgs INTEGER, modes UNSIGNED INTEGER)');
            var rs = tx.executeSql('SELECT * FROM pinkit limit 1');

            if (rs.rows.length == 1)
            {
                modes = rs.rows.item(0).modes;
                if (modes == null)
                {
                    console.log("no modes found, drop table and upgrade scheme for pinkit 3");
                    tx.executeSql('DROP TABLE pinkit');
                    tx.executeSql('CREATE TABLE IF NOT EXISTS pinkit(num_imgs INTEGER, modes UNSIGNED INTEGER)');
                    modes = 0;
                }
            }
        });
    console.log("get_modes "+modes);
    return modes
}

function get_num_imgs()
{
    var db = openDatabaseSync("pinkit", "0.1", "pinkit settings", 1);
    var num_imgs = 25;

    db.transaction(
        function(tx) {
            var rs = tx.executeSql('SELECT * FROM pinkit limit 1');
            if (rs.rows.length == 1)
            {
                num_imgs = rs.rows.item(0).num_imgs
                if (num_imgs == null)
                    num_imgs = 25;
            }
        }
    )

    return num_imgs;
}

function set_modes(modes)
{
    console.log("setting modes: " +modes);
    var db = openDatabaseSync("pinkit", "0.1", "pinkit settings", 1);
    var num_imgs = is_gifs_mode(modes) == false ? 25 : 100;

    db.transaction(
        function(tx) {
            // Create the database if it doesn't already exist
            tx.executeSql('CREATE TABLE IF NOT EXISTS pinkit(num_imgs INTEGER, modes UNSIGNED INTEGER)');
            tx.executeSql('DELETE FROM pinkit');
            tx.executeSql("INSERT INTO pinkit VALUES("+num_imgs+", " + modes + ")");
        }
    )
}

function set_nsfw_mode(nsfw_on)
{
    var modes = get_modes();
    if (nsfw_on)
        modes |= 1;
    else
        modes &= ~1;
    set_modes(modes);
}

function get_nsfw_mode()
{
    if (get_modes() & 1)
        return true;
    return false;
}

function set_gifs_mode(gifs_on)
{
    var modes = get_modes();
    if (gifs_on)
        modes |= 2;
    else
        modes &= ~2;
    set_modes(modes);
}

function get_gifs_mode()
{
    if (get_modes() & 2)
        return true;
    return false;
}


function is_nsfw_mode(mode)
{
    if (mode & 1)
        return true
    return false;
}

function is_gifs_mode(mode)
{
    if (mode & 2)
        return true
    return false;
}
